compiz.real crashed with SIGSEGV in fxDodgeAnimStep()

Bug #145821 reported by Scott James Remnant (Canonical) on 2007-09-27
72
This bug affects 4 people
Affects Status Importance Assigned to Milestone
compiz-fusion-plugins-main (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: compiz

...

ProblemType: Crash
Architecture: i386
Date: Mon Sep 24 21:56:27 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/bin/compiz.real
Package: compiz-core 1:0.5.2+git20070918-0ubuntu5
PackageArchitecture: i386
ProcCmdline: /usr/bin/compiz.real --ignore-desktop-hints --replace --indirect-rendering --replace ccp
ProcCwd: /home/scott
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games
 LANG=en_GB.UTF-8
 SHELL=/bin/zsh
Signal: 11
SourcePackage: compiz
StacktraceTop:
 fxDodgeAnimStep () from /usr/lib/compiz/libanimation.so
 ?? () from /usr/lib/compiz/libanimation.so
 ?? ()
 ?? ()
 ?? ()
Title: compiz.real crashed with SIGSEGV in fxDodgeAnimStep()
Uname: Linux wing-commander 2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT 2007 i686 GNU/Linux
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin plugdev scanner video
SegvAnalysis:
 Segfault happened at: 0xb78970bf <fxDodgeAnimStep+703>: mov (%eax,%edx,4),%eax
 PC (0xb78970bf) ok
 source "(%eax,%edx,4)" (0x000002ac) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA

StacktraceTop:fxDodgeAnimStep (s=0x815d548, w=0x8498758, time=18) at dodge.c:113
animPreparePaintScreen (s=0x815d548, msSinceLastPaint=18) at animation.c:2137
switchPreparePaintScreen (s=0x815d548, msSinceLastPaint=18) at ../../plugins/switcher.c:1286
zoomPreparePaintScreen (s=0x815d548, msSinceLastPaint=18) at ../../plugins/zoom.c:258
expoPreparePaintScreen (s=0x815d548, ms=18) at expo.c:560

Changed in compiz:
importance: Undecided → Medium
Ryan (ryan-delaney) wrote :

I am getting this crash when I run electricsheep in the terminal, and then try to close it, compiz crashes with this error.

vnieto (vnieto) wrote :

I have the same error on jaunty

Kees Cook (kees) on 2009-09-16
description: updated
Travis Watkins (amaranth) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release - Karmic Koala. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/. Thanks again and we appreciate your help.

affects: compiz-fusion-plugins-main (Ubuntu) → compiz (Ubuntu)
Changed in compiz (Ubuntu):
status: New → Incomplete
Maciej Bęcławski (hakkatuka) wrote :

I just got this error while switching windows in Karmic.

Erkin Bahceci (cornelius1) wrote :
Changed in compiz (Ubuntu):
status: Incomplete → In Progress
affects: compiz (Ubuntu) → compiz-fusion-plugins-main (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz-fusion-plugins-main - 0.8.4-0ubuntu1

---------------
compiz-fusion-plugins-main (0.8.4-0ubuntu1) karmic; urgency=low

  * new upstream release:
    - compiz.real crashed with SIGSEGV in fxDodgeAnimStep() (LP: #145821)
    - moving a "always on visible workspace" window to other workspace makes
      it inaccessible (LP: #290079)
  * debian/patches/02_fix_edges.patch:
    - refreshed
  * debian/watch:
    - add watch file

 -- Travis Watkins <email address hidden> Wed, 14 Oct 2009 16:06:23 -0500

Changed in compiz-fusion-plugins-main (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers